#!/bin/bash
#
# Author Krigler Pavol
# Version 0.1.0
#
# Bash script Cisco Template Manager (CTM) for printing global device template.
#
# Copyright 2010 Pavol Krigler <pavol.krigler@gelogic.net>
#
# This file is part of Cisco Template Manager.
#
#    CTM is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    CTM is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with CTM.  If not, see <http://www.gnu.org/licenses/>.


# CTM configuration file
CONFIGFILE="/etc/ctm/ctm.conf"

# Read configuration file
if [ ! -s "$CONFIGFILE" ]; then 
	echo "ERROR: CTM configuration file '$CONFIGFILE' not found or is empty"
	exit 1
fi

. $CONFIGFILE

cd $TEMPLATE_DIR

if [ $# -ne 2 ]; then
	echo "Usage: $0 device type"
	echo ""
	echo "Mandatory arguments:"
	echo "  DEVICE               select device template which would you like to use"
	echo "  ROLE                 select role of the device"
	echo ""
	echo "List of templates:"
	ls -1 
	exit
fi


if [ -e "$1/$2/global.model" ]; then
	cat $1/$2/global.model
else
	echo "Device template $1 does not exists."
fi
